/*
    padGnneco is a pad plugin for PS emulator.
    Copyright (c) 2003 yokota (shirouto_yokota-lj@infoseek.jp)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef INCLUDED_PADGNNECO_H
#define INCLUDED_PADGNNECO_H

#define PGN_PADS	2
#define NUM_NEG		13
#define NUM_NORMAL	3
#define NUM_DLG_CFGS	(NUM_NEG + NUM_NORMAL)
#define NUM_DLG_AF	14
#define NUM_DLG_BRAVO	6
#define NUM_PAD_TYPE	1
#define NUM_KEY_CFGS	(NUM_DLG_CFGS + NUM_DLG_AF + NUM_DLG_BRAVO + NUM_PAD_TYPE)
#define MAX_PAD_BITS 3

#define LIB_NAME "pad gnneco"

#define PGN_STRINGIFY1(x) #x
#define PGN_STRINGIFY(x) PGN_STRINGIFY1(x)

void pgn_load_conf();
unsigned char pgn_read_port(unsigned char buf[6], int id);
void pgn_configure();
void pgn_about();
void pgn_open(void *Disp, int i, int ps2e);
void pgn_close();

#endif

