/*
    padGnneco is a pad plugin for PS emulator.
    Copyright (c) 2003 yokota (shirouto_yokota-lj@infoseek.jp)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef INCLUDED_PGN_RES_H
#define INCLUDED_PGN_RES_H

#define IDPGN_CFG_DLG	100
#define IDPGN_ABOUT_DLG	200
#define PGN_ABOUT_BMP	210
#define IDPGN_AF_DLG	400

#define ID_AF_ENABLE	(IDPGN_AF_DLG+1)
#define ID_AF_BTN	(IDPGN_AF_DLG+31)
#define ID_AF_SPEED	(IDPGN_AF_DLG+61)

#define ID_AF_ENABLE_2	(ID_AF_ENABLE + NUM_DLG_AF)
#define ID_AF_BTN_2	(ID_AF_BTN + NUM_DLG_AF)
#define ID_AF_SPEED_2	(ID_AF_SPEED + NUM_DLG_AF)

#define ID_BTN_DOWN	101
#define ID_BTN_UP	(ID_BTN_DOWN+1)
#define ID_BTN_RIGHT	(ID_BTN_DOWN+2)
#define ID_BTN_LEFT	(ID_BTN_DOWN+3)
#define ID_BTN_A	(ID_BTN_DOWN+4)
#define ID_BTN_B	(ID_BTN_DOWN+5)
#define ID_BTN_R	(ID_BTN_DOWN+6)
#define ID_BTN_START	(ID_BTN_DOWN+7)
#define ID_NEJI_R	(ID_BTN_DOWN+8)
#define ID_NEJI_L	(ID_BTN_DOWN+9)
#define ID_AXIS_1	(ID_BTN_DOWN+10)
#define ID_AXIS_2	(ID_BTN_DOWN+11)
#define ID_AXIS_L	(ID_BTN_DOWN+12)
#define ID_BTN_DOWN_2	(ID_BTN_DOWN + NUM_DLG_CFGS)
#define ID_BTN_UP_2	(ID_BTN_DOWN_2+1)
#define ID_BTN_RIGHT_2	(ID_BTN_DOWN_2+2)
#define ID_BTN_LEFT_2	(ID_BTN_DOWN_2+3)
#define ID_BTN_A_2	(ID_BTN_DOWN_2+4)
#define ID_BTN_B_2	(ID_BTN_DOWN_2+5)
#define ID_BTN_R_2	(ID_BTN_DOWN_2+6)
#define ID_BTN_START_2	(ID_BTN_DOWN_2+7)
#define ID_NEJI_R_2	(ID_BTN_DOWN_2+8)
#define ID_NEJI_L_2	(ID_BTN_DOWN_2+9)
#define ID_AXIS_1_2	(ID_BTN_DOWN_2+10)
#define ID_AXIS_2_2	(ID_BTN_DOWN_2+11)
#define ID_AXIS_L_2	(ID_BTN_DOWN_2+12)
#define ID_PADTYPE 190
#define ID_PADTYPE_2 (ID_PADTYPE+MAX_PAD_BITS)
#define ID_PUSHED	150
#define ID_CFG_THRESHOLD	151

#define ID_LOAD_INI	140
#define ID_LOAD_REG	141
#define ID_SAVE_INI	142
#define ID_AUTOFIRE	143

#define IDPGN_CHOOSEBTN	300
#define ID_B1		301
#define ID_B2		302
#define ID_B3		303
#define ID_B4		304
#define ID_B5		305
#define ID_B6		306
#define ID_B7		307
#define ID_B8		308
#define ID_B9		309

#define ID_CHANGE_PAD 180

#define ID_BRAVO 170

#define IDPGN_BRAVO_DLG 500



#define ID_BRAVO_SWITCH (IDPGN_BRAVO_DLG+1)
#define ID_BRAVO_CHECK (IDPGN_BRAVO_DLG+11)
#define ID_BRAVO_LOW (IDPGN_BRAVO_DLG+21)
#define ID_BRAVO_MID (IDPGN_BRAVO_DLG+31)
#define ID_BRAVO_HIGH (IDPGN_BRAVO_DLG+41)
#define ID_BRAVO_VALUE_LOW (IDPGN_BRAVO_DLG+51)
#define ID_BRAVO_VALUE_MID (IDPGN_BRAVO_DLG+61)
#define ID_BRAVO_VALUE_HIGH (IDPGN_BRAVO_DLG+71)

#define ID_BRAVO_EXTRA_BTN (IDPGN_BRAVO_DLG+81)
#define ID_BRAVO_EXTRA_BTN_CHECK 600
#ifndef IDC_STATIC
#define IDC_STATIC (-1)
#endif

#if defined PGN_NIHONGO
#include "pgn_resj.h"
#else

#define PGN_LANGSTR "en"
#define PGN_BACKSLASH "\\"
#define PGN_YEN "Yen"
#define PGN_FONT "MS Shell Dlg"
#define PGN_FONT_SIZE 8
//#define PGN_FONT "Tahoma"
//#define PGN_FONT_SIZE (8-1)

#define STR_IDCANCEL "Cancel"
#define STR_ID_PUSHED "set neutral"
#define STR_NEJIRI "Twist"
#define STR_PAD "pad"
#define STR_THRESHOLD "threshold"
#define PGN_LANG LANG_NEUTRAL
#define PGN_LANGID_STR "0400"
#define PGN_SUBLANG SUBLANG_DEFAULT
#define PGN_LANGID (PGN_SUBLANG <<10 | PGN_LANG)
#define PGN_NOTICE  "padGnneco comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to redistribute it under certain conditions."
#define STR_CALIBRATION "joystick calibration"

#define STR_AUTOFIRE "autofire"
#define STR_SAVE "save config to"
#define STR_SAVEINI "ini file"
#define STR_AF_CONFIG "config.."
#define STR_LOAD "reload config"
#define STR_LOAD_INI "from ini"
#define STR_LOAD_REG "from reg"
#define STR_ARROW_DOWN "DOWN"
#define STR_ARROW_UP "UP"
#define STR_ARROW_RIGHT "RIGHT"
#define STR_ARROW_LEFT "LEFT"
#define STR_BTN_A "btn A"
#define STR_BTN_B "btn B"
#define STR_BTN_R "btn R"
#define STR_BTN_START "Start"
#define STR_AXIS_1 "axis I"
#define STR_AXIS_2 "axis II"
#define STR_AXIS_L "axis L"
#define STR_BTN_SELECT "Select"
#define STR_BTN_L2 "btn L2"
#define STR_BTN_R2 "btn R2"
#define STR_CHOOSE_BTN "Choose a button"
#define STR_CFG_DLG "pad gnneco config"
#define STR_PADTYPE "Twist"
#define STR_PADTYPE_2 "Digital"
#define STR_PADTYPE_3 "Bravo"
#define STR_MARU "circle"
#define STR_BATSU "cross"
#define STR_SANKAKU "triangle"
#define STR_SHIKAKU "square"
#define STR_BRAVO "Bravo Switch"
#define STR_BYDIFF "by difference"
#define STR_BRAVO_CONFIG "config .."
#define STR_LOW "Low"
#define STR_MID "Middle"
#define STR_HIGH "High"
#define STR_BTNS "DN  UP   RT   LT   Ci   Tr    R1   ST   Cr   Sq    L1   SL   L2   R2"
#endif

#ifdef UNICODE
#define PGN_CODEPAGE 0x04b0
#define PGN_CODEPAGE_STR "04b0"
#else
#define PGN_CODEPAGE 0x04e4
#define PGN_CODEPAGE_STR "04e4"
#endif

#define STR_IDOK "OK"
#define STR_PAD_1 STR_PAD " 1"
#define STR_PAD_2 STR_PAD " 2"
#define STR_PGN_COPYRIGHT "(c) 2002 linuzappz 2003 yokota"
#define STR_PGN_URL "http:/" "/members.tripod.co.jp/shirouto_yokota/"

#endif

